package be.iminds.ilabt.jfed.ssh_terminal_tool.putty;

import be.iminds.ilabt.jfed.lowlevel.connection.SshKeyInfo;

/**
 * User: twalcari
 * Date: 10/11/2016
 * Time: 14:36
 */
public interface SshKeyInfoUnlocker {
    /**
     * This method must unlock the provided sshKeyInfo by calling {@link SshKeyInfo#unlock(char[])} with the correct password
     *
     * @param sshKeyInfo SshKeyInfo to unlock
     * @return success of the operation
     */
    boolean unlock(SshKeyInfo sshKeyInfo);
}
